Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.ocm
Class OCMtranscribe.SubTranscribe

    java.lang.Object
      |
      +--com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
            |
            +--com.jxml.quick.ocm.OCMtranscribe.SubTranscribe

All Implemented Interfaces:
  OCMbase.SubBase, OCMsink.SubSink, OCMsource.SubSource

Direct Known Subclasses:
  DTDexpress.SubDTDexpress, Qjml2Qdml.SubQjml2Qdml

Enclosing class:
  OCMtranscribe

public class OCMtranscribe.SubTranscribe
extends OCMsinkSupport.SubSinkSupport
implements OCMsource.SubSource

Field Summary
`QDoc` | `outputDoc` The output document.
`Map` | `properties` The config properties

Fields inherited from class com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
`cl, docName, inputDoc, subSource, subValidator`

Constructor Summary
`OCMtranscribe.SubTranscribe(HashMap prior)`

Method Summary
`String` | `express()` Generate an XML document (or other text).
`void` | `express(PrintWriter pw)` Generate an XML document (or other text).
`QDoc` | `getDoc()` Returns the document.
`QDoc` | `getSchemaDoc()` Returns the schema document.

Methods inherited from class com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
`expressFile, getInputDoc, getInputSchemaDoc, getProperties, getSubSource, setDocName, setInputDocName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jxml.quick.ocm.OCMsource.SubSource
`setInputDocName, setProperties`

Field Detail

### outputDoc

    public QDoc outputDoc

  The output document.

### properties

    public Map properties

  The config properties

Constructor Detail

### OCMtranscribe.SubTranscribe

    public OCMtranscribe.SubTranscribe(HashMap prior)

Method Detail

### getSchemaDoc

    public QDoc getSchemaDoc()
                      throws SAXException,
                             IOException

  Description copied from interface: `OCMsource.SubSource`
  Returns the schema document.
  Specified by:
    `getSchemaDoc` in interface `OCMsource.SubSource`

### getDoc

    public QDoc getDoc()
                throws SAXException,
                       IOException

  Description copied from interface: `OCMsource.SubSource`
  Returns the document.
  Specified by:
    `getDoc` in interface `OCMsource.SubSource`

### express

    public String express()
                   throws SAXException,
                          IOException

  Description copied from interface: `OCMsink.SubSink`
  Generate an XML document (or other text).
  Overrides:
    `express` in class `OCMsinkSupport.SubSinkSupport`
  Following copied from interface: `com.jxml.quick.ocm.OCMsink.SubSink`
  Returns:
    The XML representation

### express

    public void express(PrintWriter pw)
                 throws SAXException,
                        IOException

  Description copied from interface: `OCMsink.SubSink`
  Generate an XML document (or other text).
  Overrides:
    `express` in class `OCMsinkSupport.SubSinkSupport`
  Following copied from interface: `com.jxml.quick.ocm.OCMsink.SubSink`
  Parameters:
    `PW` - PrintWriter where the XML document is to be written.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD